{% extends 'base.html.twig' %}

{% block title %}Kit{% endblock %}

{% block body %}

    {% include 'partial/header.html.twig' %}


<div class="background">
    <form method="post">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <div class="login">
            <header>
                <div class="background1">
                    <div class="login-button1">
                        <div class="login-button2">                        
                            <a href="{{ path('app_register') }}">inscription</a>
                        </div>
                    </div>
                </div>
                <div class="background2">
                    <div class="register-button1">
                        <div class="register-button2">
                            <a href="{{ path('app_login') }}">connexion</a>
                        </div>
                    </div> 
                </div>
            </header>

            <div class="form-content">
                <div class="form-structure">
                    <div>
                        <label for="inputEmail">Email</label>
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
                    </div>
                    <div>
                        <label for="inputPassword">Mot de passe</label>
                        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                    </div>
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">


                    <button class="validate" type="submit">
                        Je me connecte
                    </button>
                </div>
            </div>
        </div>


    </form>
</div>


{% endblock %}
